%if "%{_host}" != "%{_build}"
%define cross_args CROSS=%{_host}-
%endif

Name:		uClibc
Version:	0.9.29
Release:	3
Summary:	Small C library for embedded Linux environments

Group:		System Environment/Libraries
License:	LGPLv2.1
URL:		http://www.uclibc.org/
Source0:	http://www.uclibc.org/downloads/uClibc-0.9.29.tar.bz2
Source1:	http://www.uclibc.org/downloads/uClibc-locale-030818.tgz
Source2:	uClibc-0.9.29-arm.config
Patch0:		uClibc-0.9.29-libgcc_eh.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch:	%{arm}

%description
uClibc (aka µClibc) is a C library for developing embedded Linux
systems.  It is much smaller than the GNU C Library, but nearly all
applications supported by glibc also work perfectly with uClibc.

%package devel
Summary:	Development files for uClibc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kernel-headers

%description devel
uClibc (aka µClibc) is a C library for developing embedded Linux
systems.  It is much smaller than the GNU C Library, but nearly all
applications supported by glibc also work perfectly with uClibc.

Install uClibc-devel if you are going to develop programs which
will use uClibc.

%prep
%setup -q
%patch0 -p1
%{__cp} -f %{SOURCE1} extra/locale/

%build
%{__cp} -f %{SOURCE2} .config
%if "%{_host}" != "%{_build}"
sed -ie 's/KERNEL_HEADERS="\(.*\)"/KERNEL_HEADERS="\/usr\/%{_host}\/sys-root\1"/' .config
%endif

%{__make} oldconfig
%{__make} %{_smp_mflags} %{?cross_args}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT %{?cross_args} install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*

%changelog
* Thu Apr 3 2008 Kedar Sovani <kedars@marvell.com> - 0.9.29-3
- Disable LOCALE/XLOCALE/WCHAR support

* Tue Oct  9 2007 Lennert Buytenhek <buytenh@wantstofly.org> - 0.9.29-1
- Initial RPM packaging.
